=====0.54=====

04.06.2012\\
  *  fetch_backup  программа закачивает бекап абилса с удалённого сервера и загружает в базу на локальном

MySQL:\\
  ALTER  TABLE `web_online` ADD COLUMN `sid` varchar(32) NOT NULL default '';
  ALTER  TABLE `web_online` ADD COLUMN `ext_info` varchar(200) NOT NULL default '';  
  ALTER  TABLE `web_online` ADD PRIMARY KEY  (`sid`);
  ALTER  TABLE `web_online` ADD COLUMN `aid` smallint(6) unsigned NOT NULL default '0';

21.05.2012\\

  * ''Dhcphosts'' ДОбавлена возможность задавать регулярное выражение для определения Remote-Id и Circuit-Id
  * Добавлена работа с сервером доступа Juniper MX80
  * ''Dv'' Редирект на страницу предупреждения о окончании баланса у абонента (для фильтра негативного депозита)
  * ''Dv'' $conf{DV_SKIP_QUEUE} Отключение регулировки очереди для DUMMYNET. Поднимает производительность системы
  * ''Dv'' Разрешать изменять тарифный план для распределённой абоненты только при суме достаточной на 1 месяц работы и больше  $conf{DV_FULL_MONTH}=1; 
  * ''Dv'' В фильтр негативного депозита добавлена опция предоставлять интернет на минимальной скорости вместо блокировки. Перед предоставлением интернета пользователю открывается сообщение что ему нужно оплатить интернет для полноценной работы
  * ''Docs'' Добавлена перем пенная разделять счета с большим количеством позиций на несколько счетов. $conf{DOCS_INVOICE_ORDERS}=10;	Количество позиций в счете. По умолчанию 10 
  * ''Docs''  Ведение счетов в нескольких валютах
  * ''Paysys'' Payonline, PrivatBank Soap, ePay, СyberPlat
  * Дробная часть в поле сума журнала начислений увеличина до 4 символов

MySQL:\\

  ALTER TABLE  `fees` CHANGE COLUMN `sum` `sum` double(12,4) NOT NULL default '0.00';

24.03.2012\\

  * ''Dv'' Отчёт должники,  вывод всех клиентов с сумой долга большей месячной абон. платы 
  * Переодическая установка кредита клиентам на всею суму предоставляемых услуг
  * ''Dhcphosts''  FreeradiusDHCP добавлена возможность выдавать IP только на определённых портах Assign-Ports=""
  * ''Cards'' установка статуса использовано для универсальный карт после первого логина ими
  * ''Redback'' Перенаправление на разные страницы в зависимости от типа ошибки подключения 
  * ''Dv'' $conf{DV_SKIP_CHG_TPS}  не показывать тарифные планы в меню изменения тарифного плана личного кабинета
  * ''Dv'' Редирект на страницу информации о завершении учётного периода.
  * ''Dv'' Механизм фильтрации трафика для определённых тарифных планов при помощи Squid
  * ''Docs'' $conf{DOCS_PRE_INVOICE_PERIOD}=10; Вынесена в конфигурационный файл переменная задающая за сколько дней до начала учётного периода генерировать счета абонентам 
  * ''Docs'' Возможность задавать поля для отображения в таблице (Пример $conf{DOCS_INVOICES_LIST}='invoice_num,
date,customer,total_sum,login, admin_name,created,method, ext_id,group_name';) (скоро будет доступно для всех отчётов системы)
  * ''Docs'' Галочка учета баланса при формировании счета
  * ''Docs'' Признак оплаченной и неоплаченной услуги в счете, дополнительные параметры шаблонов


20.03.2012\\
  * ''Iptv'' Отчёт использования каналов пользователями
  * ''Marketing'' Отчёт по использованию Triplay  услуг провайдера
  * ''Docs'' усовершенствована программа генерации переодических счетов на оплату
  * ''Docs'' Признак счета 'удалён'
  * $conf{PAYMENTS_NOT_CREATE_INVOICE}=1 Отключить создание счетов при внесении оплаты, остаётся только выбор из уже существующих счетов
  * ''Dv'' $conf{DV_TP_CHG_FREE}='360'; Бесплатная смена тарифного плана для абонента являющегося пользователям больше указанного периода времени. Указывается в днях.
  * ''Bonus'' установка скидки при оплате на определённый период
  * ''Iptv'' Добавлена возможность запускать внешние программы при изменении и добавлении сервиса  $conf{IPTV_USER_EXT_CMD} 
  * ''Iptv'' iptv_access_ctl.pl  программа контроля доступа абонентов 
  * ''Voip'' Добавлена опция NAT
  * ''Cards'' Запрет пополнения пользователям прикреплённым к компаниям $conf{CARDS_SKIP_COMPANY}
  * ''Cards'' Расширенный отчет по дилерам
  * $oonf{PAYMENTS_NOT_CHECK_INVOICE_SUM}=1  отключить при пополнении проверку на точность сумы оплаты и счета 


MySQL:\\

  ALTER TABLE `voip_main` ADD COLUMN `nat` tinyint(1) unsigned NOT NULL default '1';
  ALTER TABLE `docs_invoices` ADD COLUMN `deleted` tinyint(1) unsigned NOT NULL default '1';
  ALTER TABLE `dv_main` ADD COLUMN `free_turbo_mode` smallint(6) unsigned NOT NULL default '0';




12.02.2012\\
  * ''Docs'' Изменена структура базы данных для модуля документов. внимательно при обновлении! таблица docs_invoice переименована в docs_receipts, таблица docs_accounts в docs_invoices, также изменились шаблоны: с invoice на  receipt,  account   на invoice
  * При оплате в валюте отличающейся от системной сума валюты оплаты и код валюты  вносится в журнал платежей 
  * ''Docs'' Добавлено поле для регистрации последнего периодического счета


MySQL:\\

  ALTER TABLE payments ADD COLUMN currency smallint unsigned not null default 0;
  ALTER TABLE payments ADD COLUMN amount double(10,2) NOT NULL default '0.00';
  
  ALTER TABLE docs_acct ADD  COLUMN deposit double(15,6) NOT NULL default '0.000000';
  ALTER TABLE docs_acct ADD  COLUMN delivery_status tinyint(2) unsigned NOT NULL default '0';
  ALTER TABLE docs_invoice_orders ADD COLUMN `fees_id` int(11) unsigned NOT NULL default 0;
  ALTER TABLE docs_invoice_orders ADD key fees_id (fees_id);
  ALTER TABLE docs_acct ADD COLUMN currency smallint unsigned  NOT NULL default 0;
  ALTER TABLE docs_acct_orders ADD COLUMN fees_id int(11) unsigned NOT NULL default 0;
  
  RENAME TABLE docs_invoice TO docs_receipts;
  RENAME TABLE docs_invoice_orders TO docs_receipt_orders;
  ALTER TABLE docs_receipts CHANGE COLUMN invoice_id receipt_num int(10) unsigned NOT NULL default '0';
  ALTER TABLE docs_receipts ADD COLUMN  exchange_rate double(12,4) NOT NULL default '0.0000';
  ALTER TABLE docs_receipts ADD COLUMN  currency smallint(6) unsigned  NOT NULL default 0;
  ALTER TABLE docs_receipt_orders CHANGE COLUMN invoice_id receipt_id int(11) unsigned NOT NULL default '0';
  ALTER TABLE docs_receipt_orders DROP KEY invoice_id;
  ALTER TABLE docs_receipt_orders ADD KEY receipt_id (receipt_id);
  
  RENAME TABLE docs_acct TO docs_invoices;
  RENAME TABLE docs_acct_orders TO docs_invoice_orders;
  ALTER TABLE docs_invoices CHANGE COLUMN acct_id invoice_num int(10) unsigned NOT NULL default '0';
  ALTER TABLE docs_invoices ADD COLUMN deposit double(15,6) NOT NULL default '0.000000';
  ALTER TABLE docs_invoices ADD COLUMN delivery_status tinyint(2) unsigned NOT NULL default '0';
  ALTER TABLE docs_invoices ADD COLUMN  exchange_rate double(12,4) NOT NULL default '0.0000';
  ALTER TABLE docs_invoices ADD COLUMN  currency smallint unsigned  NOT NULL default 0;
  ALTER TABLE docs_invoice_orders CHANGE COLUMN acct_id invoice_id int(10) unsigned NOT NULL default '0';
  ALTER TABLE docs_invoice_orders DROP KEY aid;
  ALTER TABLE docs_invoice_orders ADD KEY invoice_id (invoice_id);
  
  ALTER TABLE docs_main ADD COLUMN  invoice_date date NOT NULL default '0000-00-00';
 

6.02.2012\\
  * ''Docs'' добавлен флаг персональной доставки документов
  * ''Docs'' добавлен период инвойсирования 
  * ''Docs'' выписка счетов по начисленным услугам
  * ''Docs'' Выписка счетов в валюте билинговой системы и в параллельной валюте с учётом курса обмена
  * ''Docs''  валюта документов $conf{DOCS_CURRENCY}
  * Возврат при пополнении счета должников в преведущую группу
  * Возможность задать дату оплаты и все пополнения делать заданным числом. Дата пополнения и внутренние комментарии сохраняется до конца сеанса
  * ''Dv'' Изменилась детализация начинаний абон. платы
  * Добавлен новый интерфейсный элемент поиска для серверов доступа
  * ''Paysys'' новые платёжные системы: Ipay, CyberPlat, Cyberplat VISA, PayNET, Zaplati Summy, Газпромбанк, TellCell
  * Добавлена опция $conf{SYSTEM_CURRENCY}  задающая валюту системы


MySQL:\\

  ALTER TABLE `docs_main` ADD COLUMN  `personal_delivery` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE `docs_main` ADD COLUMN  `invoicing_period` tinyint(3) unsigned NOT NULL default '0';
  ALTER TABLE `exchange_rate_log` ADD COLUMN `id`  int(10) unsigned NOT NULL auto_increment primary key;
  ALTER TABLE `dv_calls` ADD COLUMN `guest` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE `dv_calls` CHANGE COLUMN  CONNECT_INFO `CONNECT_INFO` varchar(30) NOT NULL default '';




17.03.2012\\
  * ''Docs''  добавлен флаг персональной доставки документов
  * ''Docs''  добавлен период инвойсирования 

MySQL:\\

  ALTER TABLE `docs_main` ADD COLUMN  `personal_delivery` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE `docs_main` ADD COLUMN  `invoicing_period` tinyint(3) unsigned NOT NULL default '0';


14.02.2012\\
  * ''Storage'' Добавлена возможность аренды оборудование
  * ''Storage'' Добавлена возможность продажи оборудование
  * ''Storage'' Добавлена возможность прикрепления арендованного оборудования к модулю ведения сети (Dhcphosts)
  * ''Ipn'' Улучшен механизм ротации логов Ipn
  * Добавлена возможность PoD сброса для mpd5

MySQL:\\

  ALTER TABLE storage_incoming_articles ADD COLUMN `sell_price` int(10) unsigned NOT NULL default '0';
  ALTER TABLE storage_incoming_articles ADD COLUMN `rent_price` int(10) unsigned NOT NULL default '0';
  ALTER TABLE storage_installation ADD COLUMN `mac` varchar(40) NOT NULL;
  ALTER TABLE storage_installation ADD COLUMN `type` smallint(1) NOT NULL;
  ALTER TABLE storage_installation ADD COLUMN `grounds` varchar(40) NOT NULL;
  ALTER TABLE storage_installation ADD COLUMN `date` date NOT NULL default '0000-00-00';
  CREATE TABLE IF NOT EXISTS `storage_sn` (
    `id` int(11) NOT NULL auto_increment,
    `storage_incoming_articles_id` smallint(6) NOT NULL,
    `storage_installation_id` smallint(6) NOT NULL,
    `serial` text character set utf8 NOT NULL,
    PRIMARY KEY  (`id`)
  ) DEFAULT CHARSET=utf8;


23.12.2011\\

  * ''Voip'' Добавлена поддержка Cisco Unified Provision
  * ''Paysys'' Добавлен функционал наследования, несколько платёжных систем могут использовать один протокол 
  * ''Dv'' Предупреждение в личном кабинете о следующем списании 

MySQL
  ALTER TABLE voip_main ADD COLUMN `provision_nas_id` smallint(6) unsigned NOT NULL default '0';
  ALTER TABLE voip_main ADD COLUMN `provision_port` smallint(6) unsigned NOT NULL default '0';


15.12.2011\\
  * ''Msgs''  добавлено меню ответственный
  * ''Cards'' Улучшена печать карточек в интерфейсе  дилера
  * ''Voip'' Добавлен интервал тарификации

MySQL:\\
  ALTER TABLE `voip_tps` ADD COLUMN `time_division` smallint(6) unsigned NOT NULL default '0';


09.12.2011\\
  * Работа с Unnumbered Vlan
MySQL:\\
  
  ALTER TABLE `vlan_main` ADD COLUMN  `unnumbered_ip` int(10) unsigned NOT NULL default '0';

05.12.2011\\
  * ''Docs'' добавлена привязка начислений к счетам фактур
  * ''Docs'' Добавлены дополнительные поля в счета фактуры: статус отправки, депозит на момент выписки счета, сума к оплате
  * Добавлен вывод всех сервисов пользователя в учётной записи $conf{USER_ALL_SERVICES}=1;
  * ''Dhcphosts''  активация Ipn c IP (Dhcp) меню
  * ''Dhcphosts'' Freeradius DHCP  добавлена возможность выдавать независимые гостевые сети на VLAN
  * ''Docs'' Добавлены дополнительные поля в счета: статус отправки, депозит на момент выписки счета, сума к оплате
  * ''Docs'' Формирование счетов по всем услугам на следующий учётный период
  * Предупреждение пользователя о оплате следующего учётного периода

09.11.2011\\
  * Обновлён шейпер для Mikrotik: улучшена производительность, переработана IPN режим работы **обязательно проверте наличие параметра Mikrotik-Address-List в  radius словаре**. Если версия Mikrotik OS ниже 3.10 нужно указывать в радиус парах сервера доступа !Mikrotik-Address-List=0
  * Добавлено установки прав на скидку в аккаунте абонента
  * ''Msgs'' добавлено  заявки с заполненными полем ответственный видит только ответственный и автор при установке прав ''ADD''
  * ''Msgs'' добавлена возможность выносить кнопки разделов в меню быстрого запуска
  * ''Ashield'' добавлена реактивация приостановленных  подписок
  * ''Portal'' Выпущен новый модуль
  * ''Extfin'' Добавлен сводный отчёт Пополнения счета / снятия
  * ''Extfin'' Добавлена отчёт баланс абонентов на начало месяца периода 
  * ''Dv'' добавлена возможность запускать внешние программы во время включения Turbo режима 
  * ''billd'' добавлен плагин слежения за запущенными процессами 
  * ''Dv'' Добавлено поле установки типизации начислений по абон. плате

MYSQL:\\
  ALTER TABLE tarif_plans ADD fees_method tinyint(4) UNSIGNED NOT NULL DEFAULT '0';
  CREATE TABLE `extfin_balance_reports` (
    `id` int(11) unsigned NOT NULL auto_increment,
    `period` varchar(7) NOT NULL default '0000-00',
    `sum` double(14,2)  NOT NULL default '0.00',
    `bill_id` int(11) unsigned NOT NULL default '0',
    `aid` smallint(6) unsigned NOT NULL default '0',
    `date` date NOT NULL default '0000-00-00',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `period` (`period`,`bill_id`)
  ) COMMENT='Extfin  users balanse reports';


20.10.2011\\
  * Добавлен пошаговый визард заведения пользователей
  * Добавлены шаблоны прав администраторов
  * Добавлен новый тип сервера доступа cid_auth -  авторизация по RADIUS Calling-Station-Id (сервер доступа NOKIA APN GSM)
  * Добавлен пул негативного депозита 
  * Добавлена опция перехода на другой тарифный план по завершению учётного периода

MYSQL:\\
  ALTER TABLE tarif_plans ADD COLUMN `neg_deposit_ippool` smallint(6) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE tarif_plans ADD COLUMN `next_tp_id` smallint(6) unsigned NOT NULL DEFAULT '0';
  
  CREATE TABLE `reg_wizard` (
    `param` varchar(40) NOT NULL default '',
    `value` text NOT NULL default '',
    `aid` smallint(6) unsigned NOT NULL default '0',
    `module` varchar(40) NOT NULL default '',
    `step` tinyint(2) NOT NULL default '0',
    `session_id` varchar(30) NOT NULL default ''
  ) COMMENT "Registration wizard temp table";

15.10.2011\\
  * В визард Internet заведения пользователей добавлена форма начисления
  * Добавлен лимит начисления пени

MySQL:\\
  ALTER TABLE `dhcphosts_hosts` ADD COLUMN `ipn_activate` tinyint(1) NOT NULL default '0';


10.10.2011\\
  * Улучшена типизация начислений, добавлена возможность одноразовых начислений, заведение новых типов начислений через веб. (Система -  Другое - Типы снятия денег)
  * ''Dhcphosts'' добавлена галочка статический рендж адресов. Если она установлена параметр рендж не устанавливается в сети
  * Переименована секция DHCP в IP
  * Улучшен модуль Cisco_ISG и freeradius Dhcp
  * Автоматическое включение IPN сессий для адресов модуля IP (Бывший модуль DHCP) $conf{IPN_DHCP_ACTIVE}=1;
  * Автоматическое включение IPN при заведении адресов в IP (Бывший модуль DHCP) модуле при включенной опции $conf{IPN_DHCP_ACTIVE}=1;
  * Добавлена возможность создавать собственные правила сброса для дополнительных серверов доступа 

MySQL:\\

  CREATE TABLE `fees_types` (
    `id` smallint(6) unsigned NOT NULL auto_increment,
    `sum` double(10,2) NOT NULL default '0.00',
    `name` varchar(16) NOT NULL default '',
    `default_describe` varchar(80) NOT NULL default '',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `name` (`name`)
  ) COMMENT='Payments types';
  
  ALTER TABLE dhcphosts_networks ADD COLUMN `static` tinyint(1) unsigned NOT NULL default '0';
  INSERT INTO fees_types (id, name) VALUES (1, '$_ABON'), (2, '$_FINE'), (3, '$_ACTIVATE'), (4, '$_MONEY_TRANSFER'), (0, '$_ONE_TIME');
  UPDATE fees_types SET id=0 where name='$_ONE_TIME';

  

06.10.2011\\

  * ''Paysys'' Обновлен модуль для платёжной системы Regulpay 
  * ''Paysys'' Добавлена возможность изымать дополнительную комиссию по платежам через модуль Liqpay
  * ''Dv'' Наложение пени на абонентов у которых недостаточно средств на счету для продолжения работы

MySQL:\\

  ALTER TABLE  paysys_log ADD COLUMN `commission` double(10,2) unsigned NOT NULL default '0.00';
  ALTER TABLE  tarif_plans ADD COLUMN `fine` double(14,2) unsigned NOT NULL default '0.00';

04.10.2011\\
  * ''Cards'' Типизация ошибок пользовательского интерфейса
  * ''Cards'' добавлен в дилерский интерфейс кард сервер разрешающий работать с модулем карт сторонним программам 
  * ''Msgs'' pdf  шаблон для отчёта нарядов
  * ''Docs'' добавлены TrueType шрифты для печати  pdf  документов
  * ''Snmputils''  добавлена поддержка  Dlink DES-1210
  * ''Voip'' добавлены регулярные выражения обработки номеров звонящих

12.09.2011\\

  * ''Paysys'' Добавлена возможность отменять масовые платежи
  * ''Paysys'' Добавлен бекап обработаных файлов
  * Добавлены регулярные выражения в обработку  pdf шаблонов
  * Добавлены регулярные выражения в обработку  текстовых шаблонов
  * Для сервера Mikrotik добавленна поддержка RADIUS 'Mikrotik-Total-Limit'
  * добавлена возможность активации не активированных аккаунтов при первом подключении к интернет
  * ''Dhcphosts'' Добавлен параметр next-server
MySQL:\\
  ALTER TABLE `dhcphosts_hosts` ADD COLUMN `next_server` VARCHAR( 40 ) NOT NULL default '';  

18.08.2011\\
  * ''Dhcphosts'' добавленны поля DNS2, NTP
  * в журнал курса валют добавленно поле ISO для синхронизации с банками
  * ''Cards'' добавлен параметр $conf{CARDS_NUMBER_LENGTH} -  длина номера карты
  * ''Cards'' Прямой переход с журнала карта на журнал оплат с поиском нужной оплаты
  * ''Cards'' ДОбавленна возможность пополнять только используя пин $conf{CARDS_PIN_ONLY}=1;
MySQL:
  ALTER TABLE dhcphosts_networks ADD COLUMN `dns2` varchar(32) NOT NULL default '';
  ALTER TABLE dhcphosts_networks ADD COLUMN `ntp` varchar(100) NOT NULL default '';
  ALTER TABLE `exchange_rate` ADD COLUMN `iso` smallint unsigned  NOT NULL default 0;
  
  CREATE TABLE `exchange_rate_log` (
    `date` datetime NOT NULL default '0000-00-00 00:00:00',
    `exchange_rate_id` smallint unsigned  NOT NULL default 0,
    `rate` double(12,4) NOT NULL default '0.0000',
    KEY `date` (`date`)
   ) COMMENT='Exchange rate log';



=====0.53=====


22.07.2011\\
  * ''Paysys'' Добавлена возможность отменять массовые платежи
  * ''Paysys'' Добавлен бекап обработаных файлов
  * ''abm_console'' добавлена возможность производить массовые оплаты и снятия исходя из параметров логина
  * добавлены отчёты по работе компаний оплаты, снятия, интернет
  * ''Ashield'' Обновлен к версии протокола 6.0. Все действия с аккаунтом пользователя теперь производятся через веб интерфейс билинга
  * В список систем миграции добавлено MikBill, Nodeny, Stargezer, Trafpro
  * ''Voip'' Добавлена возможность ведения цен телефонии в условных единица. Условные единицы конвертируются в реальный цены исходя из поточного курса. 
  * ''Voip'' Добавлена программа получения курса НБУ и пересчёта цен исходя из курса условной единицы
  * ''Voip'' Добавлены группы расширенно тарификации. Возможность устанавливать предоплаченое время для определённой группы направлений


MySQL:
  CREATE TABLE `docs_main` (
    `uid` int(11) unsigned NOT NULL default '0' PRIMARY KEY,
    `send_docs` tinyint(1) unsigned NOT NULL default '0',
    `periodic_create_docs` tinyint(1) unsigned NOT NULL default '0',
    `email` varchar(200) NOT NULL default '',
    `comments` text not null
   ) COMMENT='Docs users settings';
  
  
  ALTER TABLE abon_user_list ADD COLUMN `create_docs` tinyint(1) unsigned NOT NULL DEFAULT 0;
  ALTER TABLE abon_user_list ADD COLUMN `send_docs` tinyint(1) unsigned NOT NULL DEFAULT 0;
  ALTER TABLE ashield_avd_log ADD COLUMN `work_period_begin` DATE NOT NULL;
  ALTER TABLE voip_route_prices ADD COLUMN `unit_price` double(15,5) unsigned NOT NULL default '0.00000';
  ALTER TABLE voip_route_prices ADD COLUMN `extra_tarification` smallint(5) unsigned NOT NULL default 0;
  ALTER TABLE voip_route_prices ADD COLUMN `unit_price` double(15,5) unsigned NOT NULL default '0.00000';
  ALTER TABLE voip_log ADD COLUMN `route_id` int(11) unsigned NOT NULL default '0';
  
  CREATE TABLE `voip_route_extra_tarification` (
    `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `name` varchar(32) not null default '',
    `date` date NOT NULL default '0000-00-00',
    `prepaid_time` INT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE (`name`) 
  ) COMMENT "Voip extra tarification" ;
  
  CREATE TABLE `voip_route_groups` (
   `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
   `name` varchar(32) not null default '',
   PRIMARY KEY (`id`)
  ) COMMENT "Voip route groups" ;

13.07.2011\\
  * ''Docs'' добавлена возможность масового выставления счетов на следующий учётный период
  * ''Docs'' добавлен профайл с возможностью выбора дополнительного емейла для отправки документов и опция генерации месячных документов
  * ''Abon'' добавлена индивидуальная скидка для каждой услуги

MySQL\\
  ALTER TABLE  `abon_user_list` ADD COLUMN `discount`  double(6,2) NOT NULL default '0.00';


04.07.2011\\
  * ''Abon'' добавлена опция учета скидок
  * В журнале пользователей добавлен фильтр по кредиторам

MySQL:\\
  ALTER TABLE `abon_tariffs` ADD COLUMN `discount` tinyint(1) unsigned NOT NULL default '0';


04.07.2011\\
   * Добавлена возможность выбора типа сервера для автоактивации IPN
   * В лог ошибок VoIP  добавлен адрес назначения звонка
   * Paysys  добавлена возможность перекодировок импортируемых файлов
   * Добавлена проверка на дубликат IP в модуле Vlan
   * Добавлен импорт/экспорт компаний
   * Добавлен статус только входящие для модуля VOIP. Устанавливается в начале расчётного периода если у абонента недостаточно средст и до этого был статус активно. В следующем учётном периоде статус меняется на блокировано. $conf{VOIP_ONEMONTH_INCOMMING_ALLOW} 
   * Добавлен новій тип сервера  cisco_voip. 
   * Добавлена возможность использовать шаблон определения классов для ISC DHCP Option82
   * Включения фильтра негативного депозита при разных статусах модуля Dv $conf{DV_STATUS_NEG_DEPOSIT}=1;
   * Добавлена возможность при масовом импорте пользователей 
   * Добавлена Offline  работа с Eript
   * Добавлена поддержка  DvCrypt  для модуля Iptv

MySQL:\\ 
  ALTER TABLE companies ADD COLUMN `contract_sufix` VARCHAR(5) NOT NULL DEFAULT '';
  ALTER TABLE iptv_main ADD COLUMN `dvcrypt_id` int unsigned NOT NULL DEFAULT 0; 


29.05.2011
  * Добавлена возможность переключения скорости в зависимости от временных интервалом для mpd шейпера с радиус парами.
  * Добавлены суфиксы контрактов для компаний
  * В информационные поля добавлен тип file  возможность прикреплять файлы для компании и аккаунтов пользователей 
  * В модуль карт Maps добавлена поддержка Google Maps
  * В модуль карт добавлена возможность отображать сервера доступа
  * Улучшен шейпер для Linux. Добавлена поддержка хешей
  * Новый модуль складской учёт [[abills:docs:modules:storage:ru|Storage]]
  * Улучшена производительность авторизации и аккаунтинга модуля Voip
  * Добавлена поддержка платёжной системы PayPal
  * Добавлена поддержка FreeRadius DHCP. Раздача динамических IP исходя из параметров опции 82, гостевой аккаунт
  * Информационные сообщения по работе billd заносятся в лог ошибок
  * Добавлена типизация для лога ошибок
  * Добавлен механизм группирования и ротации записей лога ошибок
  * Улучшена работа с Cisco ISG. Более быстрая работа с CoA  интерфейсом
  * Добавлена утилита snmp_control.pl.  Управление скоростью на портах коммутаторов D-Link, Edge core, а также управление VLAN.
  * Добавлены иконки для кнопок пользовательского интерфейса.
  * Добавлена возможность создавать произвольное меню пользовательского интерфейса
  * Добавлена возможность установки даты с которой будет производиться снятие денег модулем Abon


MySQL:\\ 
  ALTER TABLE companies ADD COLUMN `contract_sufix` VARCHAR(5) NOT NULL DEFAULT '';

19.05.2011\\
MySQL:\\
  ALTER TABLE districts ADD COLUMN `coordx` DOUBLE(20,14) NOT NULL DEFAULT '0';
  ALTER TABLE districts ADD COLUMN `coordy` DOUBLE(20,14) NOT NULL DEFAULT '0';
  ALTER TABLE districts ADD COLUMN `zoom` tinyint(2) NOT NULL DEFAULT '0';


16.05.2011\\
MySQL:\\
  ALTER TABLE s_detail CHANGE COLUMN  `sent1` `sent1` int(10) unsigned NOT NULL default '0';
  ALTER TABLE s_detail CHANGE COLUMN  `recv1` `recv1` int(10) unsigned NOT NULL default '0';
  ALTER TABLE s_detail CHANGE COLUMN  `sent2` `sent2` int(10) unsigned NOT NULL default '0';
  ALTER TABLE s_detail CHANGE COLUMN  `recv2` `recv2` int(10) unsigned NOT NULL default '0';
  
  ALTER TABLE builds ADD COLUMN `coordx` DOUBLE(20,14) NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `coordy` DOUBLE(20,14) NOT NULL DEFAULT '0';


19.04.2011\\
  * **После обновления пересоздайте файл config.pl c config.pl.default **

17.04.2011\\
MySQL:\\
  ALTER TABLE  cards_users ADD COLUMN `commission` double(10,2) unsigned NOT NULL default '0.00';
  ALTER TABLE abon_tariffs ADD COLUMN `vat` tinyint(1) unsigned NOT NULL DEFAULT '0';

04.04.2011\\
  * Добавлено уведомление о продлении услуги для модуля Abon
  * Добавлен внешний обработчик для модуля Abon. Разрешает запускать внешние программы при активации или блокировании услуги.
  * Комиссия за использование карточки оплаты
  * Добавлена плотность подключения в журнал адресов
  * Добавлен экспорт в XML журналов платежей и снятий 
  * Список адресов с которых разрешено подключаться администратору $conf{ADMINS_ALLOW_IP};
  * Создание счёта при активации услуги модулем Abon (периодические платежи)
  * Периодическое оповещение о завершении услуги и отправка счёта на оплату для модуля Abon
  * Установка типа снятий для модуля Abon
MySQL:\\
  ALTER TABLE abon_tariffs ADD COLUMN `activate_notification` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN  `ext_cmd` VARCHAR(240) NOT NULL DEFAULT '';
  ALTER TABLE abon_tariffs ADD COLUMN `create_account` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `fees_type` tinyint(2) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `notification1` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `notification2` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `notification3` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `notification_account` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `alert` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `alert_account` tinyint(1) unsigned NOT NULL DEFAULT '0';
  
  ALTER TABLE abon_user_list ADD COLUMN `notification1` date NOT NULL default '0000-00-00';
  ALTER TABLE abon_user_list ADD COLUMN `notification1_account_id` int(11) unsigned NOT NULL DEFAULT 0;
  ALTER TABLE abon_user_list ADD COLUMN `notification2` date NOT NULL default '0000-00-00';




25.03.2011\\

  * Удаление группы только после полного удаление из неё пользователей
  * В модуль Ureports (Отчёты пользователя) добавлена функция предупреждения о недостаточности средств на следующий учётный период через sms  или E-mail
  * Интеграция с системой Turbosms
  * Добавлен новый отчёт дней до завершения тарифного плана
  * Добавлено оповещение пользователей через смс и массовый рассылки рекламных акций
  * Востановление пароля через СМС сообщение
  * Отправка пользователю СМС с паролем с админ формы

=====0.52====
18.03.2011\\
  * Добавлена возможность импорта списка цен для Voip  модуля
  * Добавлена возможность импорта списка направлений для Voip  модуля
  * Добавлена оплата за приостановку сервиса
  * Добавлена возможность менять тариф из пользовательского кабинете только раз в месяц независимо от тарифа
  * $conf{NON_PRIVILEGES_LOCATION_OPERATION} -  журнал адресов ведётся в разделе "Другое"
  * В журнале улиц показывает количество подключенный абонентов
  * Добавлено в поиск вывод абонентов с незаполненными полями адреса
  * Добавлены права на изменения тарифного плана и установку кредита


04.03.2011\\
  * Новая система ведения бонусов [[abills:docs:modules:dv:ru?&#%D0%B1%D0%BE%D0%BD%D1%83%D1%81%D1%8B|бонусов]]
  * Возможность массовой выписки счетов из WEB  интерфейса
MySQL\\
  CREATE TABLE `tp_bonus_rating` (
    `tp_id` smallint(5) unsigned NOT NULL default '0',
    `rating_from` int(11) unsigned NOT NULL default '0',
    `rating_to` int(11) unsigned NOT NULL default '0',
    `action` smallint(5) unsigned NOT NULL default '0',
    `change_bonus` double(14,2) unsigned NOT NULL default '0.00',
    `activate_bonus` double(14,2) unsigned NOT NULL default '0.00',
    `ext_bill_account` tinyint(1) unsigned NOT NULL DEFAULT '0',
    `comments` text NOT NULL default '',
    PRIMARY KEY  (`tp_id`)
  ) COMMENT='Tarif plans bonus rating';


16.02.2011\\
  * Добавлен модуль [[abills:docs:modules:maps:ru|Maps]] - Карта сети

09.02.2011\\
  * Добавлен системный пользователь для операций пользователя в веб портале
  * Добавлена возможность ведения журнала адресов для серверов доступа

MySQL\\

  INSERT INTO admins (id, name, regdate, password, gid, aid, disable, phone, web_options) VALUES ('users_web','System user', '2011-02-01', ENCODE(md5(RAND()), 'test12345678901234567890'), 0, 3, 0,'', '');
  ALTER TABLE nas ADD COLUMN `location_id` INTEGER(11) UNSIGNED NOT NULL default '0';
  ALTER TABLE dhcphosts_leases ADD COLUMN `flag` tinyint(2) NOT NULL DEFAULT '0';


21.01.2011\\
  *  Добавлена поддержка accel-pptp
  *  Добавлена возможность устанавливать права администраторов на изменении тарифных планов и кредита
  *  Добавлена возможность установки скорости на порту коммутатора
  *  Snmputils перевод должников в гостевой VLAN
  *  Snmputils добавлен кабельный тестер показывающий состояние порта длину кабеля для коммутаторов D-Link

17.01.2011\\
MySQL:\\
  ALTER TABLE builds ADD COLUMN `map_x2` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `map_y2` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `map_x3` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `map_y3` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `map_x4` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE builds ADD COLUMN `map_y4` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';

18.12.2010\\
  * Только администрартор может удалять расписания присвоенные пользователю
  * В DHCPhost  добавленно поле гостевой VLAN и возможность не блокировать долников на порту а перебрасывать в гостевой VLAN (Dlink, AgeCore)

MySQL:\\
  ALTER TABLE shedule ADD COLUMN `admin_action` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE `dhcphosts_networks` ADD COLUMN `guest_vlan` smallint(5) unsigned NOT NULL DEFAULT '0';


14.12.2010\\
  * Добавлен возможность снимать деньги только за дни когда пользователь пользовался интернетом
  * Обновлён протокол Dr.Web
  * Добавлено более информативное логирование удалённых онлайн сессий
  * Обновлён протокол налогового экспорта
  * Добавлен шейпер по пулам адресов 
  * Депозит пользователя в личном кабинете уменьшен до 2 знаков после точки, а так же добавлены кнопки быстрого пополнения счёт или выписки счета на оплату
MySQL:\\
  
  ALTER TABLE tarif_plans ADD COLUMN `active_day_fee` tinyint(1) unsigned NOT NULL default '0';

30.11.2010\\
  * Добавлена возможность скрывать удалённых пользователей, только администратор с спец правами может их удалять полностью
  * Добавлена платёжная система [[http://abills.net.ua/wiki/doku.php/abills:docs:modules:paysys:ru#flashcheque|flashcheque]]


MySQL:\\
   
  ALTER TABLE users ADD COLUMN  `deleted` tinyint(1) unsigned NOT NULL default '0';
  
 
10.11.2010\\
  * Добавлено $conf{DV_USER_CHG_TP_SHEDULE}. Если с пользователя снимается дневная или месячная распределённая абон. плата то следующим учётным периодом будет следующий день.
  * Добавлена поддержка коммутаторов [[http://www.celan.com.tw|CeLan]]
  * Добавлена поддержка [[abills:docs:linux:radcoad:ru|pppd coa]]. (Особая благодарность NiTr0)
07.11.2010\\
  * Установка скорости на пул адресов

MySQL:\\
  ALTER TABLE ippools ADD COLUMN `speed` int(10) unsigned NOT NULL default '0';

  * Снятие абон. платы для приостановленных аккаунтов


30.10.2010\\
  * Добавлена опция выбора нужных вопросов при заполнении администратором
MySQL:\\
  ALTER TABLE `msgs_survey_questions` ADD COLUMN `fill_default` tinyint(1) unsigned NOT NULL DEFAULT '0';



25.10.2010\\
  * Добавлен отдельный тип контракта для корпоративных клиентов
13.10.2010\\
  * Добавлено перенаправление пользователя на страницу провайдера при получении личного сообщения. Опция $conf{MSGS_UNREAD_FORWARD}. [[abills:docs:msgs:ru|Msgs]] 
  * Добавлена платёжная система Liqpay [[abills:docs:modules:paysys:ru#Liqpay|Liqpay]]
  * Добавлена функция индивидуальных шаблонов для разных типов оплат [[abills:docs:docs:ru#%D0%BD%D0%B0%D0%B7%D0%B2%D0%B0%D0%BD%D0%B8%D1%8F_%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D0%BE%D0%B2|Docs]]
28.09.2010\\
  * Добавлена возможность выставлять приоритет денежных счетов (главный, дополнительный) при тарификации по трафику

MySQL:\\

  ALTER TABLE tarif_plans ADD COLUMN `bills_priority` tinyint(5) unsigned NOT NULL DEFAULT '0';

27.09.2010\\
  * Улучшен модуль работы с бонусами.
  * Добавлена возможность не снимать абон. плату при изменении тарифа в интерфейсе администратора
MySQL:\\

  CREATE TABLE `bonus_log` (
    `date` datetime NOT NULL default '0000-00-00 00:00:00',
    `sum` double(10,2) NOT NULL default '0.00',
    `dsc` varchar(80) default NULL,
    `ip` int(11) unsigned NOT NULL default '0',
    `last_deposit` double(15,6) NOT NULL default '0.000000',
    `uid` int(11) unsigned NOT NULL default '0',
    `aid` smallint(6) unsigned NOT NULL default '0',
    `id` int(11) unsigned NOT NULL auto_increment,
    `method` tinyint(4) unsigned NOT NULL default '0',
    `ext_id` varchar(28) NOT NULL default '',
    `bill_id` int(11) unsigned NOT NULL default '0',
    `inner_describe` varchar(80) NOT NULL default '',
    `action_type` tinyint(11) unsigned NOT NULL default '0',
    `expire` date NOT NULL default '0000-00-00',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `id` (`id`),
    KEY `date` (`date`),
    KEY `uid` (`uid`)
  ) COMMENT "Bonus log"  ;

22.09.2010\\
  * Доработан механизм опроса для сообщений
MySQL: \\
  ALTER TABLE `msgs_survey_answers` ADD COLUMN `msg_id` int(11) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `msgs_survey_answers` ADD COLUMN  `reply_id` int(11) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `msgs_survey_answers` DROP PRIMARY KEY, ADD PRIMARY KEY(`uid`, `msg_id`, `reply_id`, `question_id`);

20.09.2010\\
MySQL: \\
  ALTER TABLE dhcphosts_leases ADD COLUMN `port` smallint(6) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE dhcphosts_leases ADD COLUMN `vlan` smallint(6) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE dhcphosts_leases ADD COLUMN `switch_mac` varchar(17) NOT NULL DEFAULT '';

14.09.2010\\
  * Добавлены новые поля  в журнал адресов **квартир в доме**, в журнал администраторов **адрес**, **мобильный телефон**, **день рождения**, **ИНН**, **паспорт**\\
MySQL: \\
  ALTER TABLE `builds` ADD COLUMN `flats` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE `admins` ADD COLUMN `address` VARCHAR(60) NOT NULL DEFAULT '';
  ALTER TABLE `admins` ADD COLUMN `cell_phone` varchar(20) NOT NULL DEFAULT '';
  ALTER TABLE `admins` ADD COLUMN `pasport_num` varchar(16) NOT NULL default '';
  ALTER TABLE `admins` ADD COLUMN `pasport_date` date NOT NULL default '0000-00-00';
  ALTER TABLE `admins` ADD COLUMN `pasport_grant` varchar(100) NOT NULL default '';
  ALTER TABLE `admins` ADD COLUMN `inn` varchar(20) NOT NULL default '';
  ALTER TABLE `admins` ADD COLUMN `birthday` DATE NOT NULL default '0000-00-00';

   
06.09.2010 \\
  * Добавлена возможность запускать внешние программы при само регистрации абонентов
  * Добавлена возможность отключать корпоративным пользователям возможность перевода средств между аккаунтами
  * Добавлена возможность повторно снимать активационный платёж для аккаунтом с слишком большим периодом не активности абонента
19.08.2010 \\
  * В заявку на подключения добавлено поле желаемая дата подключения
MySQL: \\
  ALTER TABLE msgs_unreg_requests ADD COLUMN `connection_time` DATETIME NOT NULL;

18.08.2010 \\
  * Добавлена функция "оплатить до"  в модуль [[abills:docs:modules:dv:ru|Dv]]
  * Добавлена функция контроля скорости для Linux  серверов доступа
15.08.2010 \\
  * Более гибкие тарифные планы для продавцов карточек

MySQL:\\
  ALTER TABLE `dillers_tps` ADD COLUMN `nas_tp` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `dillers_tps` ADD COLUMN `gid` int(11) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `dillers_tps` ADD COLUMN `comments` text NOT NULL;
  ALTER TABLE `dillers_tps` ADD COLUMN `bonus_cards` int(11) unsigned NOT NULL DEFAULT '0';
  
  CREATE TABLE `multidoms_nas_tps` (
    `nas_id` smallint(6) unsigned NOT NULL,
    `domain_id` smallint(6) unsigned NOT NULL DEFAULT '0',
    `tp_id` smallint(6) unsigned NOT NULL,
    `datetime` datetime NOT NULL,
    `bonus_cards` int(11) unsigned NOT NULL DEFAULT '0',
    PRIMARY KEY (`domain_id`,`tp_id`,`nas_id`)
  ) COMMENT='Multidoms Dillers NAS TPS. For postpaid cards fees';


11.08.2010 \\
  * Добавлена возможность вести опросы пользователей в модуле Тех. Поддержки (Msgs)

MySQL:\\
  CREATE TABLE `msgs_survey_questions` (
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
    `survey_id` smallint(6) unsigned NOT NULL DEFAULT 0,
    `num` tinyint(4) unsigned NOT NULL DEFAULT '0',
    `question` varchar(200) NOT NULL,
    `params` varchar(250) NOT NULL,
    `comments` text NOT NULL,
    `user_comments` tinyint(1) unsigned NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`)
  )  COMMENT 'Messages Survey questions';
  
  CREATE TABLE `msgs_survey_subjects` (
    `id` smallint(6) unsigned NOT NULL AUTO_INCREMENT,
    `name` varchar(20) NOT NULL,
    `comments` text NOT NULL,
    `aid` smallint(6) unsigned NOT NULL DEFAULT '0',
    `created` datetime NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `name` (`name`)
  ) COMMENT 'Messages Survey Subjects';
  
  CREATE TABLE `msgs_survey_answers` (
    `question_id` int(11) unsigned NOT NULL DEFAULT '0',
    `uid` int(11) unsigned NOT NULL DEFAULT '0',
    `answer` tinyint(4) unsigned NOT NULL DEFAULT '0',
    `comments` text NOT NULL,
    `date_time` datetime NOT NULL,
    `survey_id` smallint(6) unsigned NOT NULL DEFAULT '0',
    PRIMARY KEY (`uid`,`question_id`)
  )   COMMENT 'Messages Survey Answers';


09.08.2010 \\
  * Добавлено поле описания тарифного плана. Изменён вид выбора тарифного плана для клиентов

MySQL:\\
  ALTER TABLE tarif_plans ADD COLUMN comments text not null default '';
  ALTER TABLE msgs_messages ADD COLUMN `survey_id` smallint(6) unsigned NOT NULL DEFAULT 0;
  ALTER TABLE msgs_reply ADD COLUMN `survey_id` smallint(6) unsigned NOT NULL DEFAULT 0;


02.08.2010 \\
  * Добавлена возможность одновременно использовать минимальную наработку и месячную абонплату
  * Добавлена возможность выставлять приоритет снятия денег в модуле Abon

MySQL:
  ALTER TABLE abon_tariffs  ADD COLUMN `priority` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs  ADD COLUMN   `account` tinyint(1) unsigned NOT NULL DEFAULT '0';


28.07.2010\\

  * Добавлена работа модуля Paysys c  мультидоменной платформой (Multidoms). **Обязательно обновите все модули Paysys  перед обновлением системы.**

MySQL:

  ALTER TABLE `config` CHANGE COLUMN `param` `param` varchar(30) NOT NULL default '';
  ALTER TABLE `config` ADD COLUMN `domain_id` smallint(6) unsigned not null default '0';
  ALTER TABLE `config` DROP KEY `param`;
  ALTER TABLE `config` ADD UNIQUE KEY `param` (`domain_id`, `param`);
  ALTER TABLE `paysys_log` ADD COLUMN `domain_id` smallint(6) unsigned not null default '0';
  ALTER TABLE `paysys_log` ADD COLUMN `status` tinyint(2) unsigned not null default '0';
  ALTER TABLE `paysys_log` DROP KEY `ps_transaction_id`;
  ALTER TABLE `paysys_log` ADD UNIQUE KEY `ps_transaction_id` (`domain_id`, `transaction_id`);
25.07.2010
  * Добавлена подача клиентами заявок  на подключения через веб интерфейс
MySQL:

  ALTER TABLE users_pi ADD COLUMN `country_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE msgs_unreg_requests ADD COLUMN `country_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE msgs_unreg_requests ADD COLUMN `location_id` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE msgs_unreg_requests ADD COLUMN `company` VARCHAR(60)  NOT NULL DEFAULT '';

20.07.2010
  * Добавлена раздел активные сообщения куда попадают все не закрытые сообщения
  * Добавлена автоматическая активизация сервисов с "отключён за неуплату" и "недостаточно средств" сразу после внесение денег на счёт абонента
  * Добавлена возможность кросмодульная (во всех модуля после определённого действия) обработка сообщений
  * Добавлена рассылка на E-mail счетов после их создания
  * Добавлена возможность включения всех активных пользователей (с положительным депозитом) для модуля Ipn.
25.06.2010
  * Добавлены платёжные системы Ibox, OSMP QIWI
  * Добавлен перенос сообщений технической поддержки между разделами
  * Добавлено создание внутренних сообщений в ответах администраторов для внутренних комментариев
  * Добавлена рассылка сообщений всем администраторам подписанным на тему, при создании и темы и при работе с ней 
MySQL:\\
  ALTER TABLE `msgs_reply` add COLUMN  `inner_msg` tinyint(1) unsigned NOT NULL default '0';


16.06.2010
  * Добавленная возможность создавать сети  и подсети для DHCP

MySQL:\\
  ALTER TABLE dhcphosts_networks ADD COLUMN `net_parent` smallint(5) unsigned NOT NULL DEFAULT '0';

=====0.51=====
22.05.2010 \\
  * Добавлена платёжная система Liberty Reserver
  * Добавлена возможность получать платёжные выписки через E-mail и FTP.
  * Добавлена возможность писать скрипты для программы billd (/libexec/billd)
  * Добавлена возможность устанавливать кредит абоненту в зависимости от последних оплат.
  * Доработан шейпер с IPFW таблицами
03.05.2010\\
  * Добавлен журнал адресов
MySQL:
  ALTER TABLE users_pi ADD COLUMN `location_id` INTEGER(11) UNSIGNED NOT NULL default '0';
  INSERT INTO districts (name) VALUES ('Main District');
  
  CREATE TABLE `builds` (
    `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `street_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0',
    `number` VARCHAR(10)  NOT NULL DEFAULT '',
    `flors` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0',
    `entrances` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0',
    `added` DATE NOT NULL,
    `map_x` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0',
    `map_y` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `street_id` (`street_id`, `number`)
  ) COMMENT='Builds';
  
29.04.2010\\
  * Добавленна возможность перевода средств между аккаунтами абонентов
  * Добавленна дата изменения класов трафика
MySQL:\\
  ALTER TABLE traffic_classes ADD COLUMN `changed` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';


09.04.2010\\
  * В тарифных планах дилера появилась возможность снимать деньги после активации карточек.
  * Обновлён модуль Ashield (Dr.Web)

01.04.2010\\
MySQL:\\
  ALTER TABLE users_pi CHANGE phone phone varchar(30) not null default '';
    CREATE TABLE `districts` (
      `id` SMALLINT(6) UNSIGNED NOT NULL AUTO_INCREMENT,
      `name` VARCHAR(100) NOT NULL DEFAULT '',
      `country` TINYINT(4) UNSIGNED NOT NULL,
      `zip` VARCHAR(7) NOT NULL DEFAULT '',
      `city` VARCHAR(30) NOT NULL DEFAULT '',
      `comments` TEXT NOT NULL,
     PRIMARY KEY (`id`),
     UNIQUE KEY `id` (`id`),
     UNIQUE KEY `name` (`name`),
     UNIQUE KEY `name_2` (`name`)
   ) COMMENT='Locations districts';  


31.03.2010\\
  * Массовая печать документов найденных через поиск
  * Добавлена возможность контролировать вводимые пользователями символы пароля
  * Добавлен Армянский словарь
  * Добавлены платёжные системы 4PAY, EasySoft.
  * Добавлена возможность перенаправлять пользователей на пользовательский портал после отправки им сообщения администратором.

16.03.2010\\
  * Расширенно поле Filter-Id учётной записи пользователя. Добавлено возможность вводить в него дополнительные RADIUS пары.\\

MySQL:\\
  ALTER TABLE dv_main CHANGE COLUMN filter_id filter_id varchar(150) NOT NULL default '';

  * Добавлена  Платёжная система АИС ЕРИП (Беларусия) 

06.03.2010\\
  * Добавлена дата окончания скидки для клиента\\
  * Добавлено уведомления что пользователь онлайн в аккаунте пользователя
MySQL\\
  ALTER TABLE users ADD COLUMN reduction_date date not null default '0000-00-00';

22.02.2010\\
  *  Добавленна возможность создавать независимые шаблоны бухгалтерских документов для груп пользователей.\\
При создании шаблона нужно указать суффиксом номер группы (Docs_docs_account**_GID**.tpl).
MySQL:
  ALTER TABLE groups ADD COLUMN `separate_docs` tinyint(1) unsigned not null default 0;

18.02.2010\\
  * Добавленна возможность при недостаточности средств на счету переводить пользователей автоматически на другой тариф. Действует только для месячной абон. платы.
  * Добавленна возможность авто. активации блокированных за недостатком средств на счету
MySQL:
  ALTER TABLE tarif_plans CHANGE COLUMN `small_deposit_block` `small_deposit_action` smallint(6) NOT NULL default '0';

01.02.2010\\
  * Лог скидывания пользователя с линии вынесен в журнал изменений
 
01.02.2010\\
  * Добавлено поле комментарии для расписания. 
  * Улучшена визуализация журнала расписаний. Выделение красным не выполненых расписаний.
  * Добавлена опция блокирующая аккаунт если недостаточно средств для снятия месячной абонплаты.
  * Лог ведения неучтённого трафика вынесен в базу (/Reports/ Ipn/ Unknown IPs)

MySQL\\

  ALTER TABLE `shedule` ADD COLUMN `comments` varchar(120) NOT NULL default '';
  ALTER TABLE `tarif_plans` ADD COLUMN `small_deposit_block` tinyint(1) NOT NULL DEFAULT '0';
  CREATE TABLE `ipn_unknow_ips` (
  `src_ip` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0',
  `dst_ip` INTEGER(11) UNSIGNED NOT NULL,
  `size` INTEGER(11) UNSIGNED NOT NULL,
  `nas_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0',
  `datetime` DATETIME NOT NULL
  ) COMMENT='Ipn unknow ips';  
  
30.01.2010\\
  * В фетчер сетей добавлена возможность поднимать статические рауты на нужные интерфейсы.
  * Добавлена программа выявления несанкционированных PPPoE  серверов.

29.01.2010\\
  * Добавлена возможность выбора группы тарифных планов при регистрации
  * Обновлён экспорт налоговых до версии OPZ 1.27

26.01.2010\\
  * Добавлена возможность просмотра лога DHCP сервера из админ интерфейса с привязкой к пользователям\\
MySQL:
  CREATE TABLE `dhcphosts_log` (
   `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
   `datetime` DATETIME NOT NULL,
   `hostname` VARCHAR(20) NOT NULL DEFAULT '',
   `message_type` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
   `message` VARCHAR(90) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`)
  ) COMMENT='Dhcphosts log'; 
  CREATE TABLE `streets` (
    `id` SMALLINT(6) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` VARCHAR(100) NOT NULL DEFAULT '',
    `district_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `name` (`name`),
    UNIQUE KEY `name_district` (`name`, `district_id`),
    UNIQUE KEY `name_2` (`name`)
  ) COMMENT='Locations streets';


20.01.2010\\
  * Добавлена проверка на дублирование комутатора и порта для Option 82.
  * Для услуги "Приостановка сервиса" была добавлена настройка периода за который можно приостановить услугу. Например не чаще чем раз в 60 дней.
  * Доработана форма регистрации через веб пользователя через портал. Добавлена капча
  * Добавлена возможность регистрации для модуля Msgs.
11.01.2010\\
  * Изменён вид календаря для дат
  * Ввод даты в любом формате при поиске (22.11.2008,22/11/2008,22-11-2008, 2008-11-22)
  * Добавлен экспорт в программу "Податкова Звітність" (Украина) в модуле Docs.
  * Делегация сообщений к администраторам с высшей компетенцией доступа
  * Добавлена возможность заносить сообщение при создании в наряд работ и создавать наряды работ
  * Создавать сообщение при заведении клиента
  * Добавлена возможность пересчёта сессий в форме детализации сессии 
  * Доработано компенсация рассчитывается исходя из 31 дня, а из количества дней в месяце
  * Добавлен новый тип внесения средств на счёт **Компенсация**

MySQL:
  ALTER TABLE msgs_messages ADD COLUMN `deligation` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE msgs_admins ADD COLUMN `deligation_level` tinyint(4) unsigned NOT NULL default '0';
  ALTER TABLE s_detail ADD COLUMN `sum` double(14,6) NOT NULL default '0.000000';


24.12.2009\\

MySQL:
  alter table cards_users add column id int unsigned not null auto_increment PRIMARY KEY;

24.12.2009\\
  * Доработана работа шейпера с учётом выставленной маски. Выделение маски отличной от 255.255.255.255  цветом в веб интерфейсе.


=====0.50=====

  * Добавлен Приоритет тарифного плана. Если заполнено это поле и пользователь переходит с тарифного плана с большим приоритетом на ТП с меньшим приоритетом с него снимается сума указанная в поле «Сумма изменения тарифного плана». Если в обратном направлении сумма не снимается.
  * В меню смены тарифного плана пользователем теперь отображаются только те ТП для перехода на которые у пользователя хватает средств.
  * Добавлена система терминалов [[http://abills.net.ua/wiki/doku.php/abills:docs:modules:paysys:ru#non_stop|24 Non Stop]]
  * Добавлена возможность автоматической выписки счёта, кассового чека  при пополнении аккаунта пользователя.
  * Добавлена возможность формировать несколько типов договоров в зависимости от предоставляемых услуг.
  * В модуль Cards  добавлена возможность формирования карточек для печати в документ PDF, а также экспорт списков файлов уже сгенерированных карточек в формате CSV.
  * Добавлен комментарий при отключении пользовательского аккаунта
  * Возможность контролировать доступ к Vod  серверу. Возрастное ограничение просмотра фильмов и каналов.
  * VIRUS_ALERT В Ipn  анализатор добавлена опция отслеживания заражённые хосты.
  * Улучшен анализ трафика программой traffic2sql
  * Для модуля Iptv создана опция возрастного ценза на контент. Доступ только при знании Pin  кода.
  * Добавлена возможность выносить оплаты проведённые через Paysys  в отдельные типы.
MySQL:
   update paysys_log SET system_id=system_id+40;
   ALTER TABLE iptv_main ADD COLUMN `pin` BLOB NOT NULL;
   ALTER TABLE iptv_main ADD COLUMN `vod` tinyint(1) unsigned NOT NULL default '0';


  * Доработан модуль [[abills:docs:mdelivery:ru|Mdelivery]]. Добавлены фильтры по Тарифному плану, статусу и адресу абонентов. Создан список абонентов для отправки почты который можно корректировать после создания рассылки.
  * Добавлена возможность отправки E-mail сообщений с прикреплёнными файлами.

=====RC1=====

**В связи с множеством доработок в версии 0.5 при переходе обязательно нужно обновить все коммерческие модули, цена обновления 50%  от цены модуля**

  * Создан новый модуль [[abills:docs:modules:multidoms:ru:abills|Multidoms]]. Система управления мультидоменами, разрешающая независимо вести в одной биллинговой системе несколько провайдеров.
  * Добавлен интерфейс реселлера, с возможностью авторегистрации реселлеров.
  * Улучшен интерфейс дилера в карточном модуле. Доработаны отчёты продаж
  * Добавлены поля занесения физических адресов расположения серверов доступа  
  * Вынесены классы трафика в отдельную форму и доработан шейпер с учётом таблиц FreeBSD + ng_car. **При миграции нужно завести классы трафика в таблицу и повторно их выбрать в форме тарификации трафика**
  * Добавлена возможность учёта классов трафика для MPD5 через RADIUS  атрибуты
  * Добавлена возможность мониторинга нескольких баз данных, мониторинг состояния кластера
  * Добавлена возможность вести историю SQL  запросов в Sqlcmd
  * Добавлена возможность задавать несколько расписаний на изменение тарифных планов.
  * Добавлены поля максимальное количество трафика и времени для тарифного плана. Позволяет более гибко стоить тарифных планы для Hotspot систем.
  * Добавлено группирование NAS (серверов доступа).
  * Задание минимального размер пакета, который будет попадать в детализацию. Данная опция предохраняет от замусоривания базы $conf{IPN_DETAIL_MIN_SIZE}=1024;
  * Добавлено в компании информационное поле представитель
  * Добавлена привязка платежей к платёжным документам: счёт, счёт-фактура, кассовый ордер
  * Добавлена возможность автоконфигурации точек HotSpot с прошивкой на базе WRT
  * Добавлена возможность добавлять комментарии при назначении периодических платежей пользователям. Комментарии отображаются при снятии денег по периодическим платежам.
  * Добавлено отображение даты следующего периодического платежа
  * Добавлены временные интервалы к периодическим платежам: квартал, пол года
  * Добавлена возможность снимать деньги с дополнительного счёта
  * Добавлены возможность производить снятия как по фиксированным периодам: начало месяца, начало квартала начало года, так и по произвольным - через месяц после последнего снятия, через квартал, через полгода, через год
  * Добавлено в отчёты Extfin  возможность выбора статистики отдельно по юридическим или физическим пользователям.
  * В модуль Cards добавлена опция $conf{CARDS_BRUTE_CLEAN_PERIOD}=2; - количество дней через которое удаляется запись о неправильном вводе пин-кода. (По умолчанию 2 дня).
  * Доработана возможность изменения кредита с пользовательского интерфейса. Добавлена возможность задавать количество изменений в месяц.
  * Добавлена возможность задавать минимальное допустимое количество символов при поиске логинов администратором
  * Добавлена возможность ограничить количество значений отображаемых в списках администратором. Настраивается в веб интерфейсе администратора.
  * Добавлена возможность удалять Vlan.
  * Сделана возможность переинициализировать Vlan  на удалённых серверах доступа после их перезагрузки
  * Добавлена возможность задавать несколько MAC адресов пользователю.
  * Добавлена возможность авто. выбора следующего свободного статического адреса из пула для модуля Dv. Выбираются адреса только из пулов с флагом STATIC.
  * Добавлена возможность авто. выбора следующего свободного статического адреса для модуля Dhcphosts.
  * Создание актов оказания услуг. Автоматическое создание актов оказания услуг за прошедший период.
  * Разделение выписки счетов отдельно для юридических лиц и для физических.
  * Добавлена опция $conf{SNMPUTILS_BINDING_DEPOSIT}=0.	Количество средств на счету ниже которого не привязываетя пользователь к портам комутатора. Количество средств - Депозит + Кредит аккаунта пользователя. 
  * Новая опция $conf{DV_USER_SERVICE_HOLDUP}=1; 	 Приостановка действия сервиса пользователя из личного кабинета кабинета.   
  * Добавлен параметр $conf{LANGS} разрешающий добавлять собственные словари и работать только с нужными языками.

  ALTER TABLE users ADD column domain_id smallint(6) unsigned not null default 0;
  ALTER TABLE users DROP index id;
  ALTER TABLE users ADD UNIQUE KEY `id` (id, domain_id);
  
  ALTER TABLE groups ADD column `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE groups DROP index name;
  ALTER TABLE groups ADD UNIQUE KEY `name` (`domain_id`, `name`);
  
  
  ALTER TABLE companies ADD column `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE companies DROP index name;
  ALTER TABLE companies ADD UNIQUE KEY `name` (`domain_id`, `name`);
  
  ALTER TABLE tarif_plans ADD column `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE tarif_plans DROP KEY id;
  ALTER TABLE tarif_plans ADD UNIQUE  KEY `id` (`id`, `module`, `domain_id`);
  
  
  ALTER TABLE tarif_plans DROP KEY `name`;
  ALTER TABLE tarif_plans ADD UNIQUE KEY `name` (`name`, `domain_id`);
  
  ALTER TABLE admins ADD column `domain_id` smallint(6) unsigned not null default 0;
  
  ALTER TABLE nas ADD column `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE nas ADD column `address_street` varchar(100) NOT NULL default '';
  ALTER TABLE nas ADD column `address_build` varchar(10) NOT NULL default '';
  ALTER TABLE nas ADD column `address_flat` varchar(10) NOT NULL default '';
  ALTER TABLE nas ADD column `zip` varchar(7) NOT NULL default '';
  ALTER TABLE nas ADD column `city` varchar(20) NOT NULL default '';
  
  ALTER TABLE cards_users ADD column `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE cards_users DROP index serial;
  ALTER TABLE cards_users ADD KEY `serial` (`number`,`serial`, `domain_id`);
  
  
  ALTER TABLE cards_users ADD KEY `domain_id` (`domain_id`);
  ALTER TABLE cards_users ADD column `created` DATETIME NOT NULL;
  UPDATE cards_users SET created=datetime;
  
  ALTER TABLE cards_bruteforce ADD column `domain_id` smallint(6) unsigned not null default 0;
  
  CREATE TABLE `domains` (
    `id` SMALLINT(6) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` VARCHAR(30) NOT NULL DEFAULT '',
    `comments` TEXT NOT NULL,
    `created` DATE NOT NULL,
    `state` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE KEY `name` (`name`)
  )  COMMENT='Domains List';
  
  ALTER TABLE intervals add column new_tp_id smallint unsigned not null default 0;
  UPDATE intervals, tarif_plans SET intervals.new_tp_id=tarif_plans.tp_id
  WHERE intervals.tp_id=tarif_plans.id;
  ALTER TABLE  intervals drop KEY tp_intervals;
  DELETE from intervals WHERE new_tp_id=0;
  UPDATE intervals SET intervals.tp_id=new_tp_id;
  ALTER TABLE intervals add UNIQUE KEY `tp_intervals` (`tp_id`, `begin`, `day`);
  ALTER TABLE intervals drop column new_tp_id;
  DELETE FROM tp_nas;  
  
  CREATE TABLE `traffic_classes` (
    `id` SMALLINT(6) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` VARCHAR(25) COLLATE latin1_swedish_ci NOT NULL DEFAULT '',
    `nets` TEXT COLLATE latin1_swedish_ci,
    `comments` TEXT COLLATE latin1_swedish_ci NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `name` (`name`)
   ) COMMENT='Traffic Classes';
  
  INSERT INTO traffic_classes (name, nets) VALUES ('Global', '0.0.0.0/0');
  
  ALTER TABLE trafic_tarifs ADD COLUMN `net_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  
  CREATE TABLE `sqlcmd_history` (
    `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `datetime` DATETIME NOT NULL,
    `aid` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0',
    `sql_query` TEXT NOT NULL,
    `db_id` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0',
    `comments` TEXT NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    KEY `aid` (`aid`)
  ) COMMENT='Sqlcmd history';
  
  ALTER TABLE cards_dillers ADD COLUMN `tp_id` SMALLINT(6) UNSIGNED NOT NULL DEFAULT '0';
  
  CREATE TABLE `dillers_tps` (
    `id` SMALLINT(6) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` VARCHAR(100) COLLATE latin1_swedish_ci NOT NULL DEFAULT '',
    `payment_type` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
    `percentage` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
    `operation_payment` DOUBLE(14,2) UNSIGNED NOT NULL DEFAULT '0.00',
    `activate_price` DOUBLE(14,2) UNSIGNED NOT NULL DEFAULT '0.00',
    `change_price` DOUBLE(14,2) UNSIGNED NOT NULL DEFAULT '0.00',
    `credit` DOUBLE(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
    `min_use` DOUBLE(14,3) UNSIGNED NOT NULL DEFAULT '0.000',
    `payment_expr` VARCHAR(240) COLLATE latin1_swedish_ci NOT NULL DEFAULT '',
    `nas_count` SMALLINT(6) UNSIGNED NOT NULL DEFAULT 0,
    `tp_counts` SMALLINT(6) UNSIGNED NOT NULL DEFAULT 0,
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`),
    UNIQUE KEY `name` (`name`)
   ) COMMENT='Resellers Tarif Plans';
  
  ALTER TABLE tarif_plans ADD COLUMN `total_time_limit` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE tarif_plans ADD COLUMN `total_traf_limit` INTEGER(11) UNSIGNED NOT NULL DEFAULT '0';
  
  ALTER TABLE nas ADD COLUMN`gid` smallint(6) unsigned NOT NULL default 0;
  
  CREATE TABLE `nas_groups` (
    `id` int(10) unsigned NOT NULL auto_increment,
    `name` varchar(40) NOT NULL default '',
    `comments` text not null,
    `disable` tinyint(6) unsigned NOT NULL default '0',
    `domain_id` smallint(6) unsigned not null default 0,
    PRIMARY KEY  (`id`),
    UNIQUE KEY `domain_id` (`domain_id`,`name`)
  ) COMMENT='Nas servers groups';
  
  ALTER TABLE companies ADD COLUMN `representative` VARCHAR(120) NOT NULL DEFAULT '';
  
  ALTER TABLE docs_acct ADD COLUMN `payment_id` int(11) unsigned NOT NULL default 0;
  ALTER TABLE docs_acct ADD COLUMN `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE docs_acct ADD KEY `payment_id` (`payment_id`);
  ALTER TABLE docs_acct ADD KEY `domain_id` (`domain_id`);
  ALTER TABLE docs_invoice ADD COLUMN `payment_id` int(11) unsigned NOT NULL default 0;
  ALTER TABLE docs_invoice ADD COLUMN `domain_id` smallint(6) unsigned not null default 0;
  ALTER TABLE docs_invoice ADD KEY `payment_id` (`payment_id`);
  ALTER TABLE docs_invoice ADD KEY `domain_id` (`domain_id`);
  CREATE TABLE `docs_tax_invoices` (
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
    `date` date NOT NULL DEFAULT '0000-00-00',
    `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `tax_invoice_id` int(10) unsigned NOT NULL DEFAULT '0',
    `uid` int(11) unsigned NOT NULL DEFAULT '0',
    `aid` smallint(6) unsigned NOT NULL DEFAULT '0',
    `vat` double(5,2) unsigned NOT NULL DEFAULT '0.00',
    `company_id` int(11) unsigned NOT NULL DEFAULT '0',
    `domain_id` smallint(6) unsigned not null default 0,
    PRIMARY KEY (`id`),
    UNIQUE KEY `date` (`date`,`company_id`),
    KEY `domain_id` (`domain_id`)
  ) COMMENT='Docs Tax Invoices';  
    
  ALTER TABLE nas ADD COLUMN `country` tinyint(6) unsigned NOT NULL default '0';
  ALTER TABLE nas ADD COLUMN `mac` varchar(17) NOT NULL default '';
  ALTER TABLE nas ADD COLUMN `changed` datetime NOT NULL default '0000-00-00 00:00:00';
  
  ALTER TABLE abon_user_list ADD COLUMN `comments` VARCHAR(240) COLLATE cp1251_general_ci NOT NULL DEFAULT '';
  ALTER TABLE abon_user_list ADD KEY `uid` (`uid`, `tp_id`);
  ALTER TABLE abon_tariffs CHANGE COLUMN name `name` varchar(100) NOT NULL default '';
  ALTER TABLE abon_tariffs ADD COLUMN `ext_bill_account` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE abon_tariffs ADD COLUMN `nonfix_period` tinyint(1) unsigned NOT NULL DEFAULT '0';
  UPDATE tarif_plans SET module='Dv' WHERE module='';
  ALTER TABLE `admins` ADD COLUMN min_search_chars tinyint(2) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `admins` ADD COLUMN max_rows smallint(6) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE `ippools` ADD COLUMN static tinyint(6) unsigned NOT NULL DEFAULT '0';
  UPDATE dv_main SET CID='ANY' WHERE CID='0';
  
  CREATE TABLE `docs_acts` (
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
    `date` date NOT NULL DEFAULT '0000-00-00',
    `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `act_id` int(10) unsigned NOT NULL DEFAULT '0',
    `uid` int(11) unsigned NOT NULL DEFAULT '0',
    `aid` smallint(6) unsigned NOT NULL DEFAULT '0',
    `vat` double(5,2) unsigned NOT NULL DEFAULT '0.00',
    `company_id` int(11) unsigned NOT NULL DEFAULT '0',
    `domain_id` smallint(6) unsigned not null default 0,
    `sum` double(10,2) unsigned NOT NULL default '0.00',
    PRIMARY KEY (`id`),
    UNIQUE KEY `date` (`date`,`company_id`),
    KEY `domain_id` (`domain_id`)
  ) COMMENT='Docs Acts';
  
  ALTER TABLE nas_groups ADD COLUMN `default` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0';
  ALTER TABLE nas_groups ADD COLUMN `main_page` VARCHAR(120) NOT NULL DEFAULT '';
  ALTER TABLE tarif_plans ADD COLUMN `priority` tinyint(1) unsigned NOT NULL  DEFAULT '0';
  ALTER TABLE users_pi ADD COLUMN `contract_sufix` VARCHAR(5) NOT NULL DEFAULT '';